#ifndef ESP32_FIREWALL_HPP
#define ESP32_FIREWALL_HPP

#include "Utils.hpp"
#include "Storage.hpp"

namespace fw
{
    class Rules : public Storage
    {
    protected:
        uint8_t amount_of_rules = 0;
        firewall_rule_t *rule_head = NULL;

        void add_rule_to_firewall(firewall_rule_t *);
        firewall_rule_t *add_rule_to_firewall(String, String, String, String, String, String);
        firewall_rule_t *get_rule_from_firewall(uint8_t);
        ok_t delete_rule_from_firewall(uint8_t);

    public:
        Rules();
        ~Rules();
    };
}

#endif
